package shop.alien.store.service;

import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.store.StoreDictionary;
import shop.alien.entity.store.vo.StoreDictionaryVo;
import shop.alien.entity.store.vo.SystemConfigVo;

import java.util.List;
import java.util.Map;

/**
 * 字典Service
 *
 * @author ssk
 * @version 1.0
 * @date 2025/2/8 10:23
 */
public interface StoreDictService extends IService<StoreDictionary> {

    /**
     * 查询字典值
     *
     * @param dictType 字典类型
     * @return list
     */
    List<StoreDictionary> getDict(String dictType);

    /**
     * 新增字典
     *
     * @param storeDictionary 字典类
     * @return boolean
     */
    boolean addDict(StoreDictionary storeDictionary);

    /**
     * 删除字典
     *
     * @param id 主键
     * @return boolean
     */
    boolean deleteDict(Integer id);

    Map<String, List<StoreDictionary>> getDictList();

    /**
     * 查询字典值
     *
     * @param dictType 字典类型
     * @return list
     */
    SystemConfigVo getConfig(String dictType);

    /**
     * 新增字典
     *
     * @param systemConfigVo 字典类
     */
    void editConfig(SystemConfigVo systemConfigVo);

}
